import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataKubernetesPodV1Config extends cdktf.TerraformMetaArguments {
    /**
    * metadata block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#metadata DataKubernetesPodV1#metadata}
    */
    readonly metadata: DataKubernetesPodV1Metadata;
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreferenceMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreference extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get preference(): cdktf.IResolvable;
    get weight(): number;
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTermMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTerm extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get nodeSelectorTerm(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinityNodeAffinity extends cdktf.ComplexComputedList {
    get preferredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
    get requiredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
    get matchLabels(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    get labelSelector(): cdktf.IResolvable;
    get namespaces(): string[];
    get topologyKey(): string;
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get podAffinityTerm(): cdktf.IResolvable;
    get weight(): number;
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
    get matchLabels(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get labelSelector(): cdktf.IResolvable;
    get namespaces(): string[];
    get topologyKey(): string;
}
export declare class DataKubernetesPodV1SpecAffinityPodAffinity extends cdktf.ComplexComputedList {
    get preferredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
    get requiredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
    get matchLabels(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    get labelSelector(): cdktf.IResolvable;
    get namespaces(): string[];
    get topologyKey(): string;
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get podAffinityTerm(): cdktf.IResolvable;
    get weight(): number;
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
    get matchLabels(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    get labelSelector(): cdktf.IResolvable;
    get namespaces(): string[];
    get topologyKey(): string;
}
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinity extends cdktf.ComplexComputedList {
    get preferredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
    get requiredDuringSchedulingIgnoredDuringExecution(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecAffinity extends cdktf.ComplexComputedList {
    get nodeAffinity(): cdktf.IResolvable;
    get podAffinity(): cdktf.IResolvable;
    get podAntiAffinity(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    get apiVersion(): string;
    get fieldPath(): string;
}
export declare class DataKubernetesPodV1SpecContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    get containerName(): string;
    get divisor(): string;
    get resource(): string;
}
export declare class DataKubernetesPodV1SpecContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvValueFrom extends cdktf.ComplexComputedList {
    get configMapKeyRef(): cdktf.IResolvable;
    get fieldRef(): cdktf.IResolvable;
    get resourceFieldRef(): cdktf.IResolvable;
    get secretKeyRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnv extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
    get valueFrom(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerEnvFrom extends cdktf.ComplexComputedList {
    get configMapRef(): cdktf.IResolvable;
    get prefix(): string;
    get secretRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get httpGet(): cdktf.IResolvable;
    get tcpSocket(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get httpGet(): cdktf.IResolvable;
    get tcpSocket(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerLifecycle extends cdktf.ComplexComputedList {
    get postStart(): cdktf.IResolvable;
    get preStop(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecContainerLivenessProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecContainerPort extends cdktf.ComplexComputedList {
    get containerPort(): number;
    get hostIp(): string;
    get hostPort(): number;
    get name(): string;
    get protocol(): string;
}
export declare class DataKubernetesPodV1SpecContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecContainerReadinessProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecContainerResources extends cdktf.ComplexComputedList {
    get limits(): {
        [key: string]: string;
    };
    get requests(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    get add(): string[];
    get drop(): string[];
}
export declare class DataKubernetesPodV1SpecContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    get level(): string;
    get role(): string;
    get type(): string;
    get user(): string;
}
export declare class DataKubernetesPodV1SpecContainerSecurityContextSeccompProfile extends cdktf.ComplexComputedList {
    get localhostProfile(): string;
    get type(): string;
}
export declare class DataKubernetesPodV1SpecContainerSecurityContext extends cdktf.ComplexComputedList {
    get allowPrivilegeEscalation(): cdktf.IResolvable;
    get capabilities(): cdktf.IResolvable;
    get privileged(): cdktf.IResolvable;
    get readOnlyRootFilesystem(): cdktf.IResolvable;
    get runAsGroup(): string;
    get runAsNonRoot(): cdktf.IResolvable;
    get runAsUser(): string;
    get seLinuxOptions(): cdktf.IResolvable;
    get seccompProfile(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecContainerStartupProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecContainerStartupProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecContainerVolumeMount extends cdktf.ComplexComputedList {
    get mountPath(): string;
    get mountPropagation(): string;
    get name(): string;
    get readOnly(): cdktf.IResolvable;
    get subPath(): string;
}
export declare class DataKubernetesPodV1SpecContainer extends cdktf.ComplexComputedList {
    get args(): string[];
    get command(): string[];
    get env(): cdktf.IResolvable;
    get envFrom(): cdktf.IResolvable;
    get image(): string;
    get imagePullPolicy(): string;
    get lifecycle(): cdktf.IResolvable;
    get livenessProbe(): cdktf.IResolvable;
    get name(): string;
    get port(): cdktf.IResolvable;
    get readinessProbe(): cdktf.IResolvable;
    get resources(): cdktf.IResolvable;
    get securityContext(): cdktf.IResolvable;
    get startupProbe(): cdktf.IResolvable;
    get stdin(): cdktf.IResolvable;
    get stdinOnce(): cdktf.IResolvable;
    get terminationMessagePath(): string;
    get terminationMessagePolicy(): string;
    get tty(): cdktf.IResolvable;
    get volumeMount(): cdktf.IResolvable;
    get workingDir(): string;
}
export declare class DataKubernetesPodV1SpecDnsConfigOption extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecDnsConfig extends cdktf.ComplexComputedList {
    get nameservers(): string[];
    get option(): cdktf.IResolvable;
    get searches(): string[];
}
export declare class DataKubernetesPodV1SpecHostAliases extends cdktf.ComplexComputedList {
    get hostnames(): string[];
    get ip(): string;
}
export declare class DataKubernetesPodV1SpecImagePullSecrets extends cdktf.ComplexComputedList {
    get name(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    get apiVersion(): string;
    get fieldPath(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    get containerName(): string;
    get divisor(): string;
    get resource(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFrom extends cdktf.ComplexComputedList {
    get configMapKeyRef(): cdktf.IResolvable;
    get fieldRef(): cdktf.IResolvable;
    get resourceFieldRef(): cdktf.IResolvable;
    get secretKeyRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnv extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
    get valueFrom(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerEnvFrom extends cdktf.ComplexComputedList {
    get configMapRef(): cdktf.IResolvable;
    get prefix(): string;
    get secretRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get httpGet(): cdktf.IResolvable;
    get tcpSocket(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get httpGet(): cdktf.IResolvable;
    get tcpSocket(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerLifecycle extends cdktf.ComplexComputedList {
    get postStart(): cdktf.IResolvable;
    get preStop(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecInitContainerPort extends cdktf.ComplexComputedList {
    get containerPort(): number;
    get hostIp(): string;
    get hostPort(): number;
    get name(): string;
    get protocol(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecInitContainerResources extends cdktf.ComplexComputedList {
    get limits(): {
        [key: string]: string;
    };
    get requests(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecInitContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    get add(): string[];
    get drop(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    get level(): string;
    get role(): string;
    get type(): string;
    get user(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerSecurityContextSeccompProfile extends cdktf.ComplexComputedList {
    get localhostProfile(): string;
    get type(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerSecurityContext extends cdktf.ComplexComputedList {
    get allowPrivilegeEscalation(): cdktf.IResolvable;
    get capabilities(): cdktf.IResolvable;
    get privileged(): cdktf.IResolvable;
    get readOnlyRootFilesystem(): cdktf.IResolvable;
    get runAsGroup(): string;
    get runAsNonRoot(): cdktf.IResolvable;
    get runAsUser(): string;
    get seLinuxOptions(): cdktf.IResolvable;
    get seccompProfile(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeExec extends cdktf.ComplexComputedList {
    get command(): string[];
}
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    get host(): string;
    get httpHeader(): cdktf.IResolvable;
    get path(): string;
    get port(): string;
    get scheme(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    get port(): string;
}
export declare class DataKubernetesPodV1SpecInitContainerStartupProbe extends cdktf.ComplexComputedList {
    get exec(): cdktf.IResolvable;
    get failureThreshold(): number;
    get httpGet(): cdktf.IResolvable;
    get initialDelaySeconds(): number;
    get periodSeconds(): number;
    get successThreshold(): number;
    get tcpSocket(): cdktf.IResolvable;
    get timeoutSeconds(): number;
}
export declare class DataKubernetesPodV1SpecInitContainerVolumeMount extends cdktf.ComplexComputedList {
    get mountPath(): string;
    get mountPropagation(): string;
    get name(): string;
    get readOnly(): cdktf.IResolvable;
    get subPath(): string;
}
export declare class DataKubernetesPodV1SpecInitContainer extends cdktf.ComplexComputedList {
    get args(): string[];
    get command(): string[];
    get env(): cdktf.IResolvable;
    get envFrom(): cdktf.IResolvable;
    get image(): string;
    get imagePullPolicy(): string;
    get lifecycle(): cdktf.IResolvable;
    get livenessProbe(): cdktf.IResolvable;
    get name(): string;
    get port(): cdktf.IResolvable;
    get readinessProbe(): cdktf.IResolvable;
    get resources(): cdktf.IResolvable;
    get securityContext(): cdktf.IResolvable;
    get startupProbe(): cdktf.IResolvable;
    get stdin(): cdktf.IResolvable;
    get stdinOnce(): cdktf.IResolvable;
    get terminationMessagePath(): string;
    get terminationMessagePolicy(): string;
    get tty(): cdktf.IResolvable;
    get volumeMount(): cdktf.IResolvable;
    get workingDir(): string;
}
export declare class DataKubernetesPodV1SpecReadinessGate extends cdktf.ComplexComputedList {
    get conditionType(): string;
}
export declare class DataKubernetesPodV1SpecSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    get level(): string;
    get role(): string;
    get type(): string;
    get user(): string;
}
export declare class DataKubernetesPodV1SpecSecurityContextSeccompProfile extends cdktf.ComplexComputedList {
    get localhostProfile(): string;
    get type(): string;
}
export declare class DataKubernetesPodV1SpecSecurityContextSysctl extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecSecurityContext extends cdktf.ComplexComputedList {
    get fsGroup(): string;
    get runAsGroup(): string;
    get runAsNonRoot(): cdktf.IResolvable;
    get runAsUser(): string;
    get seLinuxOptions(): cdktf.IResolvable;
    get seccompProfile(): cdktf.IResolvable;
    get supplementalGroups(): number[];
    get sysctl(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecToleration extends cdktf.ComplexComputedList {
    get effect(): string;
    get key(): string;
    get operator(): string;
    get tolerationSeconds(): string;
    get value(): string;
}
export declare class DataKubernetesPodV1SpecTopologySpreadConstraintLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    get key(): string;
    get operator(): string;
    get values(): string[];
}
export declare class DataKubernetesPodV1SpecTopologySpreadConstraintLabelSelector extends cdktf.ComplexComputedList {
    get matchExpressions(): cdktf.IResolvable;
    get matchLabels(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecTopologySpreadConstraint extends cdktf.ComplexComputedList {
    get labelSelector(): cdktf.IResolvable;
    get maxSkew(): number;
    get topologyKey(): string;
    get whenUnsatisfiable(): string;
}
export declare class DataKubernetesPodV1SpecVolumeAwsElasticBlockStore extends cdktf.ComplexComputedList {
    get fsType(): string;
    get partition(): number;
    get readOnly(): cdktf.IResolvable;
    get volumeId(): string;
}
export declare class DataKubernetesPodV1SpecVolumeAzureDisk extends cdktf.ComplexComputedList {
    get cachingMode(): string;
    get dataDiskUri(): string;
    get diskName(): string;
    get fsType(): string;
    get kind(): string;
    get readOnly(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeAzureFile extends cdktf.ComplexComputedList {
    get readOnly(): cdktf.IResolvable;
    get secretName(): string;
    get secretNamespace(): string;
    get shareName(): string;
}
export declare class DataKubernetesPodV1SpecVolumeCephFsSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
    get namespace(): string;
}
export declare class DataKubernetesPodV1SpecVolumeCephFs extends cdktf.ComplexComputedList {
    get monitors(): string[];
    get path(): string;
    get readOnly(): cdktf.IResolvable;
    get secretFile(): string;
    get secretRef(): cdktf.IResolvable;
    get user(): string;
}
export declare class DataKubernetesPodV1SpecVolumeCinder extends cdktf.ComplexComputedList {
    get fsType(): string;
    get readOnly(): cdktf.IResolvable;
    get volumeId(): string;
}
export declare class DataKubernetesPodV1SpecVolumeConfigMapItems extends cdktf.ComplexComputedList {
    get key(): string;
    get mode(): string;
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeConfigMap extends cdktf.ComplexComputedList {
    get defaultMode(): string;
    get items(): cdktf.IResolvable;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeCsiNodePublishSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
}
export declare class DataKubernetesPodV1SpecVolumeCsi extends cdktf.ComplexComputedList {
    get driver(): string;
    get fsType(): string;
    get nodePublishSecretRef(): cdktf.IResolvable;
    get readOnly(): cdktf.IResolvable;
    get volumeAttributes(): {
        [key: string]: string;
    };
}
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    get apiVersion(): string;
    get fieldPath(): string;
}
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    get containerName(): string;
    get divisor(): string;
    get resource(): string;
}
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItems extends cdktf.ComplexComputedList {
    get fieldRef(): cdktf.IResolvable;
    get mode(): string;
    get path(): string;
    get resourceFieldRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeDownwardApi extends cdktf.ComplexComputedList {
    get defaultMode(): string;
    get items(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeEmptyDir extends cdktf.ComplexComputedList {
    get medium(): string;
    get sizeLimit(): string;
}
export declare class DataKubernetesPodV1SpecVolumeFc extends cdktf.ComplexComputedList {
    get fsType(): string;
    get lun(): number;
    get readOnly(): cdktf.IResolvable;
    get targetWwNs(): string[];
}
export declare class DataKubernetesPodV1SpecVolumeFlexVolumeSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
    get namespace(): string;
}
export declare class DataKubernetesPodV1SpecVolumeFlexVolume extends cdktf.ComplexComputedList {
    get driver(): string;
    get fsType(): string;
    get options(): {
        [key: string]: string;
    };
    get readOnly(): cdktf.IResolvable;
    get secretRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeFlocker extends cdktf.ComplexComputedList {
    get datasetName(): string;
    get datasetUuid(): string;
}
export declare class DataKubernetesPodV1SpecVolumeGcePersistentDisk extends cdktf.ComplexComputedList {
    get fsType(): string;
    get partition(): number;
    get pdName(): string;
    get readOnly(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeGitRepo extends cdktf.ComplexComputedList {
    get directory(): string;
    get repository(): string;
    get revision(): string;
}
export declare class DataKubernetesPodV1SpecVolumeGlusterfs extends cdktf.ComplexComputedList {
    get endpointsName(): string;
    get path(): string;
    get readOnly(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeHostPath extends cdktf.ComplexComputedList {
    get path(): string;
    get type(): string;
}
export declare class DataKubernetesPodV1SpecVolumeIscsi extends cdktf.ComplexComputedList {
    get fsType(): string;
    get iqn(): string;
    get iscsiInterface(): string;
    get lun(): number;
    get readOnly(): cdktf.IResolvable;
    get targetPortal(): string;
}
export declare class DataKubernetesPodV1SpecVolumeLocal extends cdktf.ComplexComputedList {
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeNfs extends cdktf.ComplexComputedList {
    get path(): string;
    get readOnly(): cdktf.IResolvable;
    get server(): string;
}
export declare class DataKubernetesPodV1SpecVolumePersistentVolumeClaim extends cdktf.ComplexComputedList {
    get claimName(): string;
    get readOnly(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumePhotonPersistentDisk extends cdktf.ComplexComputedList {
    get fsType(): string;
    get pdId(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesConfigMapItems extends cdktf.ComplexComputedList {
    get key(): string;
    get mode(): string;
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesConfigMap extends cdktf.ComplexComputedList {
    get items(): cdktf.IResolvable;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    get apiVersion(): string;
    get fieldPath(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    get containerName(): string;
    get divisor(): string;
    get resource(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItems extends cdktf.ComplexComputedList {
    get fieldRef(): cdktf.IResolvable;
    get mode(): string;
    get path(): string;
    get resourceFieldRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApi extends cdktf.ComplexComputedList {
    get items(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesSecretItems extends cdktf.ComplexComputedList {
    get key(): string;
    get mode(): string;
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesSecret extends cdktf.ComplexComputedList {
    get items(): cdktf.IResolvable;
    get name(): string;
    get optional(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesServiceAccountToken extends cdktf.ComplexComputedList {
    get audience(): string;
    get expirationSeconds(): number;
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeProjectedSources extends cdktf.ComplexComputedList {
    get configMap(): cdktf.IResolvable;
    get downwardApi(): cdktf.IResolvable;
    get secret(): cdktf.IResolvable;
    get serviceAccountToken(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeProjected extends cdktf.ComplexComputedList {
    get defaultMode(): string;
    get sources(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeQuobyte extends cdktf.ComplexComputedList {
    get group(): string;
    get readOnly(): cdktf.IResolvable;
    get registry(): string;
    get user(): string;
    get volume(): string;
}
export declare class DataKubernetesPodV1SpecVolumeRbdSecretRef extends cdktf.ComplexComputedList {
    get name(): string;
    get namespace(): string;
}
export declare class DataKubernetesPodV1SpecVolumeRbd extends cdktf.ComplexComputedList {
    get cephMonitors(): string[];
    get fsType(): string;
    get keyring(): string;
    get radosUser(): string;
    get rbdImage(): string;
    get rbdPool(): string;
    get readOnly(): cdktf.IResolvable;
    get secretRef(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1SpecVolumeSecretItems extends cdktf.ComplexComputedList {
    get key(): string;
    get mode(): string;
    get path(): string;
}
export declare class DataKubernetesPodV1SpecVolumeSecret extends cdktf.ComplexComputedList {
    get defaultMode(): string;
    get items(): cdktf.IResolvable;
    get optional(): cdktf.IResolvable;
    get secretName(): string;
}
export declare class DataKubernetesPodV1SpecVolumeVsphereVolume extends cdktf.ComplexComputedList {
    get fsType(): string;
    get volumePath(): string;
}
export declare class DataKubernetesPodV1SpecVolume extends cdktf.ComplexComputedList {
    get awsElasticBlockStore(): cdktf.IResolvable;
    get azureDisk(): cdktf.IResolvable;
    get azureFile(): cdktf.IResolvable;
    get cephFs(): cdktf.IResolvable;
    get cinder(): cdktf.IResolvable;
    get configMap(): cdktf.IResolvable;
    get csi(): cdktf.IResolvable;
    get downwardApi(): cdktf.IResolvable;
    get emptyDir(): cdktf.IResolvable;
    get fc(): cdktf.IResolvable;
    get flexVolume(): cdktf.IResolvable;
    get flocker(): cdktf.IResolvable;
    get gcePersistentDisk(): cdktf.IResolvable;
    get gitRepo(): cdktf.IResolvable;
    get glusterfs(): cdktf.IResolvable;
    get hostPath(): cdktf.IResolvable;
    get iscsi(): cdktf.IResolvable;
    get local(): cdktf.IResolvable;
    get name(): string;
    get nfs(): cdktf.IResolvable;
    get persistentVolumeClaim(): cdktf.IResolvable;
    get photonPersistentDisk(): cdktf.IResolvable;
    get projected(): cdktf.IResolvable;
    get quobyte(): cdktf.IResolvable;
    get rbd(): cdktf.IResolvable;
    get secret(): cdktf.IResolvable;
    get vsphereVolume(): cdktf.IResolvable;
}
export declare class DataKubernetesPodV1Spec extends cdktf.ComplexComputedList {
    get activeDeadlineSeconds(): number;
    get affinity(): cdktf.IResolvable;
    get automountServiceAccountToken(): cdktf.IResolvable;
    get container(): cdktf.IResolvable;
    get dnsConfig(): cdktf.IResolvable;
    get dnsPolicy(): string;
    get enableServiceLinks(): cdktf.IResolvable;
    get hostAliases(): cdktf.IResolvable;
    get hostIpc(): cdktf.IResolvable;
    get hostNetwork(): cdktf.IResolvable;
    get hostPid(): cdktf.IResolvable;
    get hostname(): string;
    get imagePullSecrets(): cdktf.IResolvable;
    get initContainer(): cdktf.IResolvable;
    get nodeName(): string;
    get nodeSelector(): {
        [key: string]: string;
    };
    get priorityClassName(): string;
    get readinessGate(): cdktf.IResolvable;
    get restartPolicy(): string;
    get securityContext(): cdktf.IResolvable;
    get serviceAccountName(): string;
    get shareProcessNamespace(): cdktf.IResolvable;
    get subdomain(): string;
    get terminationGracePeriodSeconds(): number;
    get toleration(): cdktf.IResolvable;
    get topologySpreadConstraint(): cdktf.IResolvable;
    get volume(): cdktf.IResolvable;
}
export interface DataKubernetesPodV1Metadata {
    /**
    * An unstructured key value map stored with the pod that may be used to store arbitrary metadata. More info: http://kubernetes.io/docs/user-guide/annotations
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#annotations DataKubernetesPodV1#annotations}
    */
    readonly annotations?: {
        [key: string]: string;
    };
    /**
    * Prefix, used by the server, to generate a unique name ONLY IF the `name` field has not been provided. This value will also be combined with a unique suffix. Read more: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#idempotency
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#generate_name DataKubernetesPodV1#generate_name}
    */
    readonly generateName?: string;
    /**
    * Map of string keys and values that can be used to organize and categorize (scope and select) the pod. May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#labels DataKubernetesPodV1#labels}
    */
    readonly labels?: {
        [key: string]: string;
    };
    /**
    * Name of the pod, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#name DataKubernetesPodV1#name}
    */
    readonly name?: string;
    /**
    * Namespace defines the space within which name of the pod must be unique.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1#namespace DataKubernetesPodV1#namespace}
    */
    readonly namespace?: string;
}
export declare function dataKubernetesPodV1MetadataToTerraform(struct?: DataKubernetesPodV1MetadataOutputReference | DataKubernetesPodV1Metadata): any;
export declare class DataKubernetesPodV1MetadataOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param isSingleItem True if this is a block, false if it's a list
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    get internalValue(): DataKubernetesPodV1Metadata | undefined;
    set internalValue(value: DataKubernetesPodV1Metadata | undefined);
    private _annotations?;
    get annotations(): {
        [key: string]: string;
    };
    set annotations(value: {
        [key: string]: string;
    });
    resetAnnotations(): void;
    get annotationsInput(): {
        [key: string]: string;
    } | undefined;
    private _generateName?;
    get generateName(): string;
    set generateName(value: string);
    resetGenerateName(): void;
    get generateNameInput(): string | undefined;
    get generation(): number;
    private _labels?;
    get labels(): {
        [key: string]: string;
    };
    set labels(value: {
        [key: string]: string;
    });
    resetLabels(): void;
    get labelsInput(): {
        [key: string]: string;
    } | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _namespace?;
    get namespace(): string;
    set namespace(value: string);
    resetNamespace(): void;
    get namespaceInput(): string | undefined;
    get resourceVersion(): string;
    get uid(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1 kubernetes_pod_v1}
*/
export declare class DataKubernetesPodV1 extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1 kubernetes_pod_v1} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataKubernetesPodV1Config
    */
    constructor(scope: Construct, id: string, config: DataKubernetesPodV1Config);
    get id(): string;
    spec(index: string): DataKubernetesPodV1Spec;
    get status(): string;
    private _metadata;
    get metadata(): DataKubernetesPodV1MetadataOutputReference;
    putMetadata(value: DataKubernetesPodV1Metadata): void;
    get metadataInput(): DataKubernetesPodV1Metadata | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
